Subject: Re: [PATCH] git-mv.perl: use stderr for error output and cleanup

From: [email-masked] (Randal L. Schwartz)
Date: 07 Jan 2006 02:34:23 -0800

>>>>> "Alex" == Alex Riesen <[email-masked]> writes:

Alex> Randal L. Schwartz, Fri, Jan 06, 2006 23:55:54 +0100:
>> >>>>> "Junio" == Junio C Hamano <[email-masked]> writes:
>> 
Junio> So I'd prefer not touching for (@df) { print H "$_\n" } loops.
>> 
>> Being as I'm a *bit* familiar with Perl, I'd write that as:
>> 
>> print H "$_\0" for @deletedfiles;
>> 

Alex> Does not work for old Perl

Correct.  It was added for Perl 5.5, first released on 22 July 1998.

Are you really saying you need this code to run on Perl 5.4?  There
are a number of other things that would have to be fixed as well.
(We had this conversation a while back.)

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Perl/Unix/security consulting, Technical writing, Comedy, etc. etc.
See PerlTraining.Stonehenge.com for onsite and open-enrollment Perl training!